Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365868 - kernel-4.8.0-0.rc1 ath9k errors.
Summary: kernel-4.8.0-0.rc1 ath9k errors.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 11:33 UTC by eddy02
Modified: 2018-04-06 18:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 18:13:03 UTC


Attachments (Terms of Use)

Description eddy02 2016-08-10 11:33:02 UTC
Got a lot of errors with kernel-4.8.0-0.rc1 and ath9k driver.

Seems to be only warnings cause the wireless link becomes ready.
I had the same issue during the 4.7 development and filed a bug to.


[   36.497761] ------------[ cut here ]------------
[   36.497769] WARNING: CPU: 2 PID: 120 at drivers/net/wireless/ath/ath9k/beacon.c:642 ath9k_beacon_config+0x12c/0x130 [ath9k]
[   36.497770] Modules linked in: ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute rc_dib0700_rc5 bridge stp llc ip6table_security ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_security iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables dib7000p cmac bnep vfat fat intel_rapl snd_hda_codec_hdmi x86_pkg_temp_thermal intel_powerclamp coretemp arc4 kvm_intel ath9k iTCO_wdt kvm ath9k_common iTCO_vendor_support ath9k_hw dvb_usb_dib0700 ath3k btusb btrtl btbcm btintel irqbypass dib7000m crct10dif_pclmul dib0090 crc32_pclmul mac80211 dib0070 bluetooth snd_hda_codec_realtek snd_hda_codec_generic ghash_clmulni_intel
[   36.497804]  dib3000mc intel_cstate intel_uncore dibx000_common joydev snd_hda_intel dvb_usb intel_rapl_perf ath snd_hda_codec cfg80211 snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm dvb_core i2c_i801 i2c_smbus rc_core snd_timer snd mei_me lpc_ich rfkill soundcore mei tpm_infineon shpchp tpm_tis tpm_tis_core ie31200_edac edac_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc uas usb_storage btrfs xor raid6_pq mxm_wmi firewire_ohci firewire_core crc32c_intel serio_raw crc_itu_t e1000e atl1c ptp pps_core wmi video fjes i2c_dev
[   36.497835] CPU: 2 PID: 120 Comm: kworker/u8:5 Tainted: G        W       4.8.0-0.rc1.git0.1.fc26.x86_64 #1
[   36.497836] Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./Z77X-UD5H, BIOS F14 08/22/2012
[   36.497855] Workqueue: phy0 ieee80211_scan_work [mac80211]
[   36.497857]  0000000000000286 000000009e26f35e ffff98af11d83b08 ffffffff8e3e3b8d
[   36.497860]  0000000000000000 0000000000000000 ffff98af11d83b48 ffffffff8e0a0cab
[   36.497862]  000002828e3fe440 ffff98af12109580 0000000000000000 ffff98af0cdf0028
[   36.497865] Call Trace:
[   36.497870]  [<ffffffff8e3e3b8d>] dump_stack+0x63/0x86
[   36.497873]  [<ffffffff8e0a0cab>] __warn+0xcb/0xf0
[   36.497876]  [<ffffffff8e0a0ddd>] warn_slowpath_null+0x1d/0x20
[   36.497881]  [<ffffffffc0977f4c>] ath9k_beacon_config+0x12c/0x130 [ath9k]
[   36.497885]  [<ffffffffc097c3d6>] ath9k_calculate_summary_state+0x126/0x370 [ath9k]
[   36.497889]  [<ffffffffc097c647>] ath_complete_reset+0x27/0x130 [ath9k]
[   36.497893]  [<ffffffffc097c87b>] ath_reset_internal+0x12b/0x1f0 [ath9k]
[   36.497897]  [<ffffffffc097c97d>] ath_reset+0x3d/0x60 [ath9k]
[   36.497901]  [<ffffffffc09856f3>] ath_chanctx_set_channel+0x143/0x240 [ath9k]
[   36.497905]  [<ffffffffc097b94f>] ath9k_config+0xbf/0x1f0 [ath9k]
[   36.497927]  [<ffffffffc07ab9fe>] ? ieee80211_wake_queues_by_reason+0x8e/0xa0 [mac80211]
[   36.497942]  [<ffffffffc0778bdf>] ieee80211_hw_config+0x8f/0x360 [mac80211]
[   36.497960]  [<ffffffffc07abaff>] ? __ieee80211_flush_queues+0xcf/0x1c0 [mac80211]
[   36.497976]  [<ffffffffc078433c>] ieee80211_scan_work+0x20c/0x490 [mac80211]
[   36.497979]  [<ffffffff8e0ba4f4>] process_one_work+0x184/0x430
[   36.497981]  [<ffffffff8e0ba7ee>] worker_thread+0x4e/0x480
[   36.497983]  [<ffffffff8e0ba7a0>] ? process_one_work+0x430/0x430
[   36.497985]  [<ffffffff8e0c0688>] kthread+0xd8/0xf0
[   36.497988]  [<ffffffff8e7ff87f>] ret_from_fork+0x1f/0x40
[   36.497991]  [<ffffffff8e0c05b0>] ? kthread_worker_fn+0x180/0x180
[   36.497993] ---[ end trace 46b617c2f17b77db ]---
[   36.611670] ------------[ cut here ]------------

Comment 1 Laura Abbott 2018-04-06 18:13:03 UTC
Doing some pruning, this bug looks to be years old. Please test on a newer kernel and reopen if the problem still exists.


Note You need to log in before you can comment on or make changes to this bug.